Bug 928777 - (CVE-2013-2264) CVE-2013-2264 asterisk: Username disclosure in SIP channel driver (AST-2013-003)
CVE-2013-2264 asterisk: Username disclosure in SIP channel driver (AST-2013-003)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130327,reported=2...
: Security
Depends On: 928552 928779 928780
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-28 08:32 EDT by Jan Lieskovsky
Modified: 2013-04-10 18:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-10 18:39:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-03-28 08:32:41 EDT
An information disclosure flaw was found in the way SIP channel driver of Asterisk, an open-source telephony toolkit, handled user authentication when:
* alwaysauthreject option was enabled,
* allowguest was disabled, and
* autocreatepeer option was disabled.

A remote attacker could use this flaw to obtain information if particular user account exists by issuing certain INVITE, SUBSCRIBE and / or REGISTER transactions.

Upstream advisory:
[1] http://downloads.asterisk.org/pub/security/AST-2013-003.html

Relevant upstream patches:
[2] http://downloads.asterisk.org/pub/security/AST-2013-003-1.8.diff
[3] http://downloads.asterisk.org/pub/security/AST-2013-003-10.diff
[4] http://downloads.asterisk.org/pub/security/AST-2013-003-11.diff
Comment 1 Jan Lieskovsky 2013-03-28 08:34:03 EDT
This issue affects the versions of the asterisk package, as shipped with Fedora release of 18, 17, and Fedora EPEL-6. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-03-28 08:36:18 EDT
Created asterisk tracking bugs for this issue

Affects: fedora-18 [bug 928552]
Comment 3 Jan Lieskovsky 2013-03-28 08:38:47 EDT
Created asterisk tracking bugs for this issue

Affects: fedora-17 [bug 928779]
Affects: epel-6 [bug 928780]
Comment 4 Fedora Update System 2013-04-06 20:44:37 EDT
asterisk-10.12.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.